Subject: bug#47358: 28.0.50; sql-list-tables: quotes are cumbersome, no need for it; include history

From: Stefan Kangas <[email-masked]>
Date: Thu, 21 Oct 2021 14:03:05 -0700

Jean Louis <[email-masked]> writes:

> When executing C-c C-l t in sql-interactive-mode then tables are
> completed with quotes like "activities" instead of just activities.
>
> It would be good not to use quotes, it is more usable that
> way. Internally the table could require quotes to be called, but for
> user to complete a string or name of table should not be necessary.
>
> Additionally I propose to include history for the function
> sql-list-tables as calling tables' definitions may be frequent with some
> users, and other mini buffer entries are not relevant to it.

I'm copying in the sql.el maintainer here.  Michael, could you please take a
look at the above feature request?